/*
 * (c) 2010-2014, SWD Embedded Systems Limited, http://www.kpda.ru
 */


#include "externs.h"
#include <stdio.h>


int main( int argc, char *argv[] )
{
    ttyctrl.max_devs = MAX_DEVICES;
    ttc( TTC_INIT_PROC, &ttyctrl, 24 );

    if ( options( argc, argv ) == 0 )
    {
        fprintf( stderr, "%s: No serial ports found\n", argv[0] );
        exit( 0 );
    }

    ttc( TTC_INIT_START, &ttyctrl, 0 );

    return (0);
}
