/*
 * (c) 2022, SWD Embedded Systems Limited, http://www.kpda.ru
 */


#ifndef write_8250
    #if defined( __X86__ )
        #define write_8250( __port, __val )     *((uint8_t *)__port) = __val    //out8( __port,__val )
    #else
        #define write_8250( __port, __val )     out8( __port, __val )
    #endif
#endif


#ifndef read_8250
    #if defined( __X86__ )
        #define read_8250( __port )             (*((uint8_t *)__port))          //in8( __port )
    #else
        #define read_8250( __port )             in8( __port )
    #endif
#endif
